//johnny5_t.c

//example initial chats
chat "johnny5"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"Input.";
		"Johnny 5... is Alive!";
		"Wow... ", 4, " is lovely... nice... wonderful.";
		"Number 5 will now kick arse.";
		// 4 = Level's title
		// 1 = Random opponent
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Good bye.";
		"More input."
		"Must find more input.";
		GOODBYE;
		GOODBYE4;
		// 1 = random opponent
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Johnny 5 is Alive";
		"Hey, laser-lips, your mamma is a snowblower!";
		"Hello.";
		"Hello, Bozos!";
		LEVEL_START2;
		// 1 = Random opponent
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"More input.";
		"Where is Stephanie?";
		"Johnny5... needs a name change.";
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Number 5 is Number 1.";
		"Johnny 5 is still alive!";
		"Beautiful.";
		"Thank you very much, Mr Roboto...";
		"If only Stephanie were here.";
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Number 5 sucks....";
		"Number 5 needs more training.";
		"Must have more input.";
		2, ", is better than Number 5!";
		LEVEL_END_LOSE2;
		LEVEL_END_LOSE1;
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Johnny 5 interrupted!";
		"Johnny 5 not like ", 0, "!";
		0, " is a chevy.";
		//0 = shooter
	} //end type
	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Johnny 5 needs more input.";
		"More input, ", 0, "...  More!";
		"Johnny 5 is slow today.";
		"Wow... ", 0, "is a good shot.";
		//0 = shooter
		// 1 = weapon used by shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Sorry, ", 0;
		"Johnny 5 is getting better.";
		TAUNT;
		PRAISE2;
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Johnny 5 is confused.";
		DEATH_TELEFRAGGED2;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Stupid.";
		"ouch.";
		"dumbell.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Johnny 5 is learning.";
		"Lava melt...  Johnny.";
		"Lava is input.";
		DEATH_LAVA0;
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Slime is...  gross!";
		"Stupid.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Johnny 5 is not waterproof.";
		"input.";
		DEATH_DROWN1;
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{  
		"Johnny 5 is foolish.";
		"oops";
		"Number 5 needs to have arse kicked.";
		DEATH_SUICIDE3;
		DEATH_SUICIDE4;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Johnny 5...  dead.";
		"Foolish.";
		0, " is very skilled.";
		DEATH_GAUNTLET0;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		0, " has good aim.";
		"Johnny 5 is angry.";
		DEATH_RAIL1;
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Beautiful starts.";
		"Big input.";
		"Flash...  is... Beautiful.";
		DEATH_BFG1;
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Johnny 5 will be back to get ", 0, ".";
		0, " is very rude.";
		"Johnny 5 not like ", 0, ".";
		DEATH_INSULT2;
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"You will soon end up like a pile of Number 2, ", 0, ".";
		"Johnny 5....  is dead.";
		D_PRAISE1;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Johnny 5 kick arse.";
		"Number 5 is rocking.";
		"Johnny 5 having fun.";
		KILL_RAIL0;
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Johnny 5 like football.";
		"Humiliation???  Johnny 5 is sad.";
		KILL_GAUNTLET1;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"oops.";
		"Johnny 5 is confused.";
		TELEFRAGGED2;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"Why you do that, ", 0, "?";
		"Johnny 5 is confused by ", 0, "'s actions.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Johnny 5 likes Quake 3.";
		"Johnny 5 is happy.";
		KILL_INSULT3;
		KILL_INSULT6;
		// 0 = enemy name
	} //end type



	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Johnny 5 got in a lucky shot.";
		0, " reminds Johnny 5 of a pile of Number 2.";

		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Your mamma is a snowblower!";
		"Hello, Bozo!";
		MISC10;
		MISC12;
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = Level's Title
		// 5 = random weapon from weapons list
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Hello, ", 0;
		"Johnny 5 not know what this ", 5, " is.";
		"Johnny 5.... is alive!";
		"Beautiful.";
		"Input.";
		MISC2;
		one_liners;
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapon list
	} //end type
} //end Johnny 5 chat


