//number4_t.c

//example initial chats
chat "Number4"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"Search and destroy program initiated.";
		// 4 = Level's title
		// 1 = Random opponent
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Search and destroy program terminated.";
		// 1 = random opponent
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Search and destroy program reinitialized.";
		// 1 = Random opponent
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Search and destroy program unloaded.";
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Mission complete.";
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Failed.";
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Error: 43920";
		//0 = shooter
	} //end type
	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Set target: ", 0;
		//0 = shooter
		// 1 = weapon used by shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Target still functioning.";

		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Error: 21364";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Error: 98346";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Error: 25649";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Error:17009";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{  
		"Error: 62534";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Error: 03942";
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Error: 91264";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Error: 88475";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Error: 01276";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Target eliminated.";
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type



	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Target eliminated.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Target acquired: ", 0, ".";
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = Level's Title
		// 5 = random weapon from weapons list
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Target acquired: ", 0, ".";
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapon list
	} //end type
} //end Number4 chat
